Package org.eclipse.rdf4j.common.concurrent.locks

## Class ReadPrefReadWriteLockManager

- java.lang.Object
- - org.eclipse.rdf4j.common.concurrent.locks.AbstractReadWriteLockManager
  - - org.eclipse.rdf4j.common.concurrent.locks.ReadPrefReadWriteLockManager

- All Implemented Interfaces:
    `ReadWriteLockManager`

      public class ReadPrefReadWriteLockManager
      extends AbstractReadWriteLockManager

  A read/write lock manager with reader preference.
  Author:
    Håvard M. Ottestad

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReadPrefReadWriteLockManager()` |
    `ReadPrefReadWriteLockManager​(boolean trackLocks)` |
    `ReadPrefReadWriteLockManager​(boolean trackLocks, int waitToCollect)` |
    `ReadPrefReadWriteLockManager​(String alias, int waitToCollect, LockDiagnostics... lockDiagnostics)` |
    `ReadPrefReadWriteLockManager​(String alias, LockDiagnostics... lockDiagnostics)` |

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.common.concurrent.locks.AbstractReadWriteLockManager

      `getReadLock, getWriteLock, isReaderActive, isWriterActive, tryReadLock, tryWriteLock, waitForActiveReaders, waitForActiveWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReadPrefReadWriteLockManager

          public ReadPrefReadWriteLockManager()

    - #### ReadPrefReadWriteLockManager

          public ReadPrefReadWriteLockManager​(boolean trackLocks)

    - #### ReadPrefReadWriteLockManager

          public ReadPrefReadWriteLockManager​(boolean trackLocks,
                                              int waitToCollect)

    - #### ReadPrefReadWriteLockManager

          public ReadPrefReadWriteLockManager​(String alias,
                                              int waitToCollect,
                                              LockDiagnostics... lockDiagnostics)

    - #### ReadPrefReadWriteLockManager

          public ReadPrefReadWriteLockManager​(String alias,
                                              LockDiagnostics... lockDiagnostics)